;
;
; 							DEFENDER UPGRADE
;
;

[FILE]
;Parameter File
; Versione upgrade digit 0
VERSION_0=1
; Versione upgrade digit 1
VERSION_1=0
; Binary file name to download
BIN_FILE=Defender_up_3.0_build2.bin
;File type
; 1=Parameter file
; 2=Kernel/Application file
; 3=Reserved
; 4=Reserved
; 5=Root file system file
FILE_TYP=2

[COM]
;Parametri interfaccia seriale
;Initial baud rate
START_BAUD=57600
;Programming baudrate
;
PROG_BAUD=115200

[TRANSF_MODE]
;Parametri di per la modalitá di trasferimento del file
; Byte number per payload
BYTE_x_PAYL=115
; Payload per packet
PAYL_x_PCK=1
; Wait for asincronous flash write confirmation message
WAIT_FW_CONF=N
; Asyncronous flash write confirmation message timeout value (ms)
FW_ASYNC_TIME_OUT=600000
; Send Sync trim parameter value
SYNC_TRIM=N
; Sync trim priority byte H (Hex)
SYNC_TRIM_PRTY_H=0x00
; Sync trim priority byte L (hex)
SYNC_TRIM_PRTY_L=0x6E
; Sync trim parameter value (hex)
SYNC_TRIM_VAL=0x06

[DEVICE]
; Device parameters
;Device ID string (e.g. QPSK, COFDM, SIGxxxx)
DEV_ID=PSP
; Protocol version (hex)
PROT_VER=0x00
; Family identifier code (hex)
FAM_ID=0x81
; Default RX address (hex)
RX_ADD=0x00
; Default number of consecutive devices' address  to upgrade
NUM_DEV=1
; Address increment between devices (in multiple debices updadating mode NUM_DEV>1)
ADD_INCR=1
; Send Write Flash command
SEND_WRITE_FLASH_COMM=N
; Write Flash Timeout (ms)
WRITE_FLASH_VERIFY=N
; If there is a control unit then stop autoscan and resets the receivers
WR_FLASH_TIME_OUT=600000
; If there is a control unit then stop autoscan and resets the receivers
COMPACT_LINE=N
; Device supports the packets' ristransmission
REPEAT_PACKETS=N
; AUTO Reset
AUTO_SW_RESET=Y
; Device auto reset Time out  (ms)
AUTO_RESET_TIME_OUT=1000
; Delay time between packets (ms)
PACKET_DELAY=0
; Delay time between packet retransmission (ms)
REPEATED_PACKET_DELAY=1
